# Standard SPICE target names (generated by parse_zzidmap.awk).

target_name_pairs = [
    (0, 'SOLAR_SYSTEM_BARYCENTER'),
    (0, 'SSB'),
    (0, 'SOLAR SYSTEM BARYCENTER'),
    (1, 'MERCURY_BARYCENTER'),
    (1, 'MERCURY BARYCENTER'),
    (2, 'VENUS_BARYCENTER'),
    (2, 'VENUS BARYCENTER'),
    (3, 'EARTH_BARYCENTER'),
    (3, 'EMB'),
    (3, 'EARTH MOON BARYCENTER'),
    (3, 'EARTH-MOON BARYCENTER'),
    (3, 'EARTH BARYCENTER'),
    (4, 'MARS_BARYCENTER'),
    (4, 'MARS BARYCENTER'),
    (5, 'JUPITER_BARYCENTER'),
    (5, 'JUPITER BARYCENTER'),
    (6, 'SATURN_BARYCENTER'),
    (6, 'SATURN BARYCENTER'),
    (7, 'URANUS_BARYCENTER'),
    (7, 'URANUS BARYCENTER'),
    (8, 'NEPTUNE_BARYCENTER'),
    (8, 'NEPTUNE BARYCENTER'),
    (9, 'PLUTO_BARYCENTER'),
    (9, 'PLUTO BARYCENTER'),
    (10, 'SUN'),
    (199, 'MERCURY'),
    (299, 'VENUS'),
    (399, 'EARTH'),
    (301, 'MOON'),
    (499, 'MARS'),
    (401, 'PHOBOS'),
    (402, 'DEIMOS'),
    (599, 'JUPITER'),
    (501, 'IO'),
    (502, 'EUROPA'),
    (503, 'GANYMEDE'),
    (504, 'CALLISTO'),
    (505, 'AMALTHEA'),
    (506, 'HIMALIA'),
    (507, 'ELARA'),
    (508, 'PASIPHAE'),
    (509, 'SINOPE'),
    (510, 'LYSITHEA'),
    (511, 'CARME'),
    (512, 'ANANKE'),
    (513, 'LEDA'),
    (514, 'THEBE'),
    (515, 'ADRASTEA'),
    (516, 'METIS'),
    (517, 'CALLIRRHOE'),
    (518, 'THEMISTO'),
    (519, 'MAGACLITE'),
    (520, 'TAYGETE'),
    (521, 'CHALDENE'),
    (522, 'HARPALYKE'),
    (523, 'KALYKE'),
    (524, 'IOCASTE'),
    (525, 'ERINOME'),
    (526, 'ISONOE'),
    (527, 'PRAXIDIKE'),
    (528, 'AUTONOE'),
    (529, 'THYONE'),
    (530, 'HERMIPPE'),
    (531, 'AITNE'),
    (532, 'EURYDOME'),
    (533, 'EUANTHE'),
    (534, 'EUPORIE'),
    (535, 'ORTHOSIE'),
    (536, 'SPONDE'),
    (537, 'KALE'),
    (538, 'PASITHEE'),
    (539, 'HEGEMONE'),
    (540, 'MNEME'),
    (541, 'AOEDE'),
    (542, 'THELXINOE'),
    (543, 'ARCHE'),
    (544, 'KALLICHORE'),
    (545, 'HELIKE'),
    (546, 'CARPO'),
    (547, 'EUKELADE'),
    (548, 'CYLLENE'),
    (549, 'KORE'),
    (550, 'HERSE'),
    (699, 'SATURN'),
    (601, 'MIMAS'),
    (602, 'ENCELADUS'),
    (603, 'TETHYS'),
    (604, 'DIONE'),
    (605, 'RHEA'),
    (606, 'TITAN'),
    (607, 'HYPERION'),
    (608, 'IAPETUS'),
    (609, 'PHOEBE'),
    (610, 'JANUS'),
    (611, 'EPIMETHEUS'),
    (612, 'HELENE'),
    (613, 'TELESTO'),
    (614, 'CALYPSO'),
    (615, 'ATLAS'),
    (616, 'PROMETHEUS'),
    (617, 'PANDORA'),
    (618, 'PAN'),
    (619, 'YMIR'),
    (620, 'PAALIAQ'),
    (621, 'TARVOS'),
    (622, 'IJIRAQ'),
    (623, 'SUTTUNGR'),
    (624, 'KIVIUQ'),
    (625, 'MUNDILFARI'),
    (626, 'ALBIORIX'),
    (627, 'SKATHI'),
    (628, 'ERRIAPUS'),
    (629, 'SIARNAQ'),
    (630, 'THRYMR'),
    (631, 'NARVI'),
    (632, 'METHONE'),
    (633, 'PALLENE'),
    (634, 'POLYDEUCES'),
    (635, 'DAPHNIS'),
    (636, 'AEGIR'),
    (637, 'BEBHIONN'),
    (638, 'BERGELMIR'),
    (639, 'BESTLA'),
    (640, 'FARBAUTI'),
    (641, 'FENRIR'),
    (642, 'FORNJOT'),
    (643, 'HATI'),
    (644, 'HYRROKKIN'),
    (645, 'KARI'),
    (646, 'LOGE'),
    (647, 'SKOLL'),
    (648, 'SURTUR'),
    (649, 'ANTHE'),
    (650, 'JARNSAXA'),
    (651, 'GREIP'),
    (652, 'TARQEQ'),
    (653, 'AEGAEON'),
    (799, 'URANUS'),
    (701, 'ARIEL'),
    (702, 'UMBRIEL'),
    (703, 'TITANIA'),
    (704, 'OBERON'),
    (705, 'MIRANDA'),
    (706, 'CORDELIA'),
    (707, 'OPHELIA'),
    (708, 'BIANCA'),
    (709, 'CRESSIDA'),
    (710, 'DESDEMONA'),
    (711, 'JULIET'),
    (712, 'PORTIA'),
    (713, 'ROSALIND'),
    (714, 'BELINDA'),
    (715, 'PUCK'),
    (716, 'CALIBAN'),
    (717, 'SYCORAX'),
    (718, 'PROSPERO'),
    (719, 'SETEBOS'),
    (720, 'STEPHANO'),
    (721, 'TRINCULO'),
    (722, 'FRANCISCO'),
    (723, 'MARGARET'),
    (724, 'FERDINAND'),
    (725, 'PERDITA'),
    (726, 'MAB'),
    (727, 'CUPID'),
    (899, 'NEPTUNE'),
    (801, 'TRITON'),
    (802, 'NEREID'),
    (803, 'NAIAD'),
    (804, 'THALASSA'),
    (805, 'DESPINA'),
    (806, 'GALATEA'),
    (807, 'LARISSA'),
    (808, 'PROTEUS'),
    (809, 'HALIMEDE'),
    (810, 'PSAMATHE'),
    (811, 'SAO'),
    (812, 'LAOMEDEIA'),
    (813, 'NESO'),
    (999, 'PLUTO'),
    (901, 'CHARON'),
    (902, 'NIX'),
    (903, 'HYDRA'),
    (904, 'KERBEROS'),
    (905, 'STYX'),
    (-1, 'GEOTAIL'),
    (-3, 'MOM'),
    (-3, 'MARS ORBITER MISSION'),
    (-5, 'AKATSUKI'),
    (-5, 'VCO'),
    (-5, 'PLC'),
    (-5, 'PLANET-C'),
    (-6, 'P6'),
    (-6, 'PIONEER-6'),
    (-7, 'P7'),
    (-7, 'PIONEER-7'),
    (-8, 'WIND'),
    (-12, 'VENUS ORBITER'),
    (-12, 'P12'),
    (-12, 'PIONEER 12'),
    (-12, 'LADEE'),
    (-13, 'POLAR'),
    (-18, 'MGN'),
    (-18, 'MAGELLAN'),
    (-18, 'LCROSS'),
    (-20, 'P8'),
    (-20, 'PIONEER-8'),
    (-21, 'SOHO'),
    (-23, 'P10'),
    (-23, 'PIONEER-10'),
    (-24, 'P11'),
    (-24, 'PIONEER-11'),
    (-25, 'LP'),
    (-25, 'LUNAR PROSPECTOR'),
    (-27, 'VK1'),
    (-27, 'VIKING 1 ORBITER'),
    (-29, 'STARDUST'),
    (-29, 'SDU'),
    (-29, 'NEXT'),
    (-30, 'VK2'),
    (-30, 'VIKING 2 ORBITER'),
    (-30, 'DS-1'),
    (-31, 'VG1'),
    (-31, 'VOYAGER 1'),
    (-32, 'VG2'),
    (-32, 'VOYAGER 2'),
    (-40, 'CLEMENTINE'),
    (-41, 'MEX'),
    (-41, 'MARS EXPRESS'),
    (-44, 'BEAGLE2'),
    (-44, 'BEAGLE 2'),
    (-46, 'MS-T5'),
    (-46, 'SAKIGAKE'),
    (-47, 'PLANET-A'),
    (-47, 'SUISEI'),
    (-47, 'GNS'),
    (-47, 'GENESIS'),
    (-48, 'HUBBLE SPACE TELESCOPE'),
    (-48, 'HST'),
    (-53, 'MARS PATHFINDER'),
    (-53, 'MPF'),
    (-53, 'MARS ODYSSEY'),
    (-53, 'MARS SURVEYOR 01 ORBITER'),
    (-54, 'ARM'),
    (-54, 'ASTEROID RETRIEVAL MISSION'),
    (-55, 'ULYSSES'),
    (-58, 'VSOP'),
    (-58, 'HALCA'),
    (-59, 'RADIOASTRON'),
    (-61, 'JUNO'),
    (-64, 'ORX'),
    (-64, 'OSIRIS-REX'),
    (-66, 'VEGA 1'),
    (-67, 'VEGA 2'),
    (-68, 'MMO'),
    (-68, 'MERCURY MAGNETOSPHERIC ORBITER'),
    (-69, 'MPO'),
    (-69, 'MERCURY PLANETARY ORBITER'),
    (-70, 'DEEP IMPACT IMPACTOR SPACECRAFT'),
    (-74, 'MRO'),
    (-74, 'MARS RECON ORBITER'),
    (-76, 'MSL'),
    (-76, 'MARS SCIENCE LABORATORY'),
    (-77, 'GLL'),
    (-77, 'GALILEO ORBITER'),
    (-78, 'GIOTTO'),
    (-79, 'SPITZER'),
    (-79, 'SPACE INFRARED TELESCOPE FACILITY'),
    (-79, 'SIRTF'),
    (-81, 'CASSINI ITL'),
    (-82, 'CAS'),
    (-82, 'CASSINI'),
    (-84, 'PHOENIX'),
    (-85, 'LRO'),
    (-85, 'LUNAR RECON ORBITER'),
    (-85, 'LUNAR RECONNAISSANCE ORBITER'),
    (-86, 'CH1'),
    (-86, 'CHANDRAYAAN-1'),
    (-90, 'CASSINI SIMULATION'),
    (-93, 'NEAR EARTH ASTEROID RENDEZVOUS'),
    (-93, 'NEAR'),
    (-94, 'MO'),
    (-94, 'MARS OBSERVER'),
    (-94, 'MGS'),
    (-94, 'MARS GLOBAL SURVEYOR'),
    (-95, 'MGS SIMULATION'),
    (-96, 'SPP'),
    (-96, 'SOLAR PROBE PLUS'),
    (-97, 'TOPEX/POSEIDON'),
    (-98, 'NEW HORIZONS'),
    (-107, 'TROPICAL RAINFALL MEASURING MISSION'),
    (-107, 'TRMM'),
    (-112, 'ICE'),
    (-116, 'MARS POLAR LANDER'),
    (-116, 'MPL'),
    (-121, 'BEPICOLOMBO'),
    (-127, 'MARS CLIMATE ORBITER'),
    (-127, 'MCO'),
    (-130, 'MUSES-C'),
    (-130, 'HAYABUSA'),
    (-131, 'SELENE'),
    (-131, 'KAGUYA'),
    (-135, 'DRTS-W'),
    (-140, 'EPOCH'),
    (-140, 'DIXI'),
    (-140, 'EPOXI'),
    (-140, 'DEEP IMPACT FLYBY SPACECRAFT'),
    (-142, 'TERRA'),
    (-142, 'EOS-AM1'),
    (-144, 'SOLO'),
    (-144, 'SOLAR ORBITER'),
    (-146, 'LUNAR-A'),
    (-150, 'CASSINI PROBE'),
    (-150, 'HUYGENS PROBE'),
    (-150, 'CASP'),
    (-151, 'AXAF'),
    (-151, 'CHANDRA'),
    (-154, 'AQUA'),
    (-159, 'EUROPA ORBITER'),
    (-164, 'YOHKOH'),
    (-164, 'SOLAR-A'),
    (-165, 'MAP'),
    (-166, 'IMAGE'),
    (-170, 'JWST'),
    (-170, 'JAMES WEBB SPACE TELESCOPE'),
    (-177, 'GRAIL-A'),
    (-178, 'PLANET-B'),
    (-178, 'NOZOMI'),
    (-181, 'GRAIL-B'),
    (-183, 'CLUSTER 1'),
    (-185, 'CLUSTER 2'),
    (-188, 'MUSES-B'),
    (-189, 'NSYT'),
    (-189, 'INSIGHT'),
    (-190, 'SIM'),
    (-194, 'CLUSTER 3'),
    (-196, 'CLUSTER 4'),
    (-198, 'INTEGRAL'),
    (-200, 'CONTOUR'),
    (-202, 'MAVEN'),
    (-203, 'DAWN'),
    (-205, 'SOIL MOISTURE ACTIVE AND PASSIVE'),
    (-205, 'SMAP'),
    (-212, 'STV51'),
    (-213, 'STV52'),
    (-214, 'STV53'),
    (-226, 'ROSETTA'),
    (-227, 'KEPLER'),
    (-228, 'GLL PROBE'),
    (-228, 'GALILEO PROBE'),
    (-234, 'STEREO AHEAD'),
    (-235, 'STEREO BEHIND'),
    (-236, 'MESSENGER'),
    (-238, 'SMART1'),
    (-238, 'SM1'),
    (-238, 'S1'),
    (-238, 'SMART-1'),
    (-248, 'VEX'),
    (-248, 'VENUS EXPRESS'),
    (-253, 'OPPORTUNITY'),
    (-253, 'MER-1'),
    (-254, 'SPIRIT'),
    (-254, 'MER-2'),
    (-362, 'RADIATION BELT STORM PROBE A'),
    (-362, 'RBSP_A'),
    (-363, 'RADIATION BELT STORM PROBE B'),
    (-363, 'RBSP_B'),
    (-500, 'RSAT'),
    (-500, 'SELENE Relay Satellite'),
    (-500, 'SELENE Rstar'),
    (-500, 'Rstar'),
    (-502, 'VSAT'),
    (-502, 'SELENE VLBI Radio Satellite'),
    (-502, 'SELENE VRAD Satellite'),
    (-502, 'SELENE Vstar'),
    (-502, 'Vstar'),
    (-550, 'MARS-96'),
    (-550, 'M96'),
    (-550, 'MARS 96'),
    (-550, 'MARS96'),
    (-750, 'SPRINT-A'),
    (50000001, 'SHOEMAKER-LEVY 9-W'),
    (50000002, 'SHOEMAKER-LEVY 9-V'),
    (50000003, 'SHOEMAKER-LEVY 9-U'),
    (50000004, 'SHOEMAKER-LEVY 9-T'),
    (50000005, 'SHOEMAKER-LEVY 9-S'),
    (50000006, 'SHOEMAKER-LEVY 9-R'),
    (50000007, 'SHOEMAKER-LEVY 9-Q'),
    (50000008, 'SHOEMAKER-LEVY 9-P'),
    (50000009, 'SHOEMAKER-LEVY 9-N'),
    (50000010, 'SHOEMAKER-LEVY 9-M'),
    (50000011, 'SHOEMAKER-LEVY 9-L'),
    (50000012, 'SHOEMAKER-LEVY 9-K'),
    (50000013, 'SHOEMAKER-LEVY 9-J'),
    (50000014, 'SHOEMAKER-LEVY 9-H'),
    (50000015, 'SHOEMAKER-LEVY 9-G'),
    (50000016, 'SHOEMAKER-LEVY 9-F'),
    (50000017, 'SHOEMAKER-LEVY 9-E'),
    (50000018, 'SHOEMAKER-LEVY 9-D'),
    (50000019, 'SHOEMAKER-LEVY 9-C'),
    (50000020, 'SHOEMAKER-LEVY 9-B'),
    (50000021, 'SHOEMAKER-LEVY 9-A'),
    (50000022, 'SHOEMAKER-LEVY 9-Q1'),
    (50000023, 'SHOEMAKER-LEVY 9-P2'),
    (1000001, 'AREND'),
    (1000002, 'AREND-RIGAUX'),
    (1000003, 'ASHBROOK-JACKSON'),
    (1000004, 'BOETHIN'),
    (1000005, 'BORRELLY'),
    (1000006, 'BOWELL-SKIFF'),
    (1000007, 'BRADFIELD'),
    (1000008, 'BROOKS 2'),
    (1000009, 'BRORSEN-METCALF'),
    (1000010, 'BUS'),
    (1000011, 'CHERNYKH'),
    (1000012, '67P/CHURYUMOV-GERASIMENKO (1969 R1)'),
    (1000012, 'CHURYUMOV-GERASIMENKO'),
    (1000013, 'CIFFREO'),
    (1000014, 'CLARK'),
    (1000015, 'COMAS SOLA'),
    (1000016, 'CROMMELIN'),
    (1000017, 'D\'ARREST'),
    (1000018, 'DANIEL'),
    (1000019, 'DE VICO-SWIFT'),
    (1000020, 'DENNING-FUJIKAWA'),
    (1000021, 'DU TOIT 1'),
    (1000022, 'DU TOIT-HARTLEY'),
    (1000023, 'DUTOIT-NEUJMIN-DELPORTE'),
    (1000024, 'DUBIAGO'),
    (1000025, 'ENCKE'),
    (1000026, 'FAYE'),
    (1000027, 'FINLAY'),
    (1000028, 'FORBES'),
    (1000029, 'GEHRELS 1'),
    (1000030, 'GEHRELS 2'),
    (1000031, 'GEHRELS 3'),
    (1000032, 'GIACOBINI-ZINNER'),
    (1000033, 'GICLAS'),
    (1000034, 'GRIGG-SKJELLERUP'),
    (1000035, 'GUNN'),
    (1000036, 'HALLEY'),
    (1000037, 'HANEDA-CAMPOS'),
    (1000038, 'HARRINGTON'),
    (1000039, 'HARRINGTON-ABELL'),
    (1000040, 'HARTLEY 1'),
    (1000041, 'HARTLEY 2'),
    (1000042, 'HARTLEY-IRAS'),
    (1000043, 'HERSCHEL-RIGOLLET'),
    (1000044, 'HOLMES'),
    (1000045, 'HONDA-MRKOS-PAJDUSAKOVA'),
    (1000046, 'HOWELL'),
    (1000047, 'IRAS'),
    (1000048, 'JACKSON-NEUJMIN'),
    (1000049, 'JOHNSON'),
    (1000050, 'KEARNS-KWEE'),
    (1000051, 'KLEMOLA'),
    (1000052, 'KOHOUTEK'),
    (1000053, 'KOJIMA'),
    (1000054, 'KOPFF'),
    (1000055, 'KOWAL 1'),
    (1000056, 'KOWAL 2'),
    (1000057, 'KOWAL-MRKOS'),
    (1000058, 'KOWAL-VAVROVA'),
    (1000059, 'LONGMORE'),
    (1000060, 'LOVAS 1'),
    (1000061, 'MACHHOLZ'),
    (1000062, 'MAURY'),
    (1000063, 'NEUJMIN 1'),
    (1000064, 'NEUJMIN 2'),
    (1000065, 'NEUJMIN 3'),
    (1000066, 'OLBERS'),
    (1000067, 'PETERS-HARTLEY'),
    (1000068, 'PONS-BROOKS'),
    (1000069, 'PONS-WINNECKE'),
    (1000070, 'REINMUTH 1'),
    (1000071, 'REINMUTH 2'),
    (1000072, 'RUSSELL 1'),
    (1000073, 'RUSSELL 2'),
    (1000074, 'RUSSELL 3'),
    (1000075, 'RUSSELL 4'),
    (1000076, 'SANGUIN'),
    (1000077, 'SCHAUMASSE'),
    (1000078, 'SCHUSTER'),
    (1000079, 'SCHWASSMANN-WACHMANN 1'),
    (1000080, 'SCHWASSMANN-WACHMANN 2'),
    (1000081, 'SCHWASSMANN-WACHMANN 3'),
    (1000082, 'SHAJN-SCHALDACH'),
    (1000083, 'SHOEMAKER 1'),
    (1000084, 'SHOEMAKER 2'),
    (1000085, 'SHOEMAKER 3'),
    (1000086, 'SINGER-BREWSTER'),
    (1000087, 'SLAUGHTER-BURNHAM'),
    (1000088, 'SMIRNOVA-CHERNYKH'),
    (1000089, 'STEPHAN-OTERMA'),
    (1000090, 'SWIFT-GEHRELS'),
    (1000091, 'TAKAMIZAWA'),
    (1000092, 'TAYLOR'),
    (1000093, 'TEMPEL_1'),
    (1000093, 'TEMPEL 1'),
    (1000094, 'TEMPEL 2'),
    (1000095, 'TEMPEL-TUTTLE'),
    (1000096, 'TRITTON'),
    (1000097, 'TSUCHINSHAN 1'),
    (1000098, 'TSUCHINSHAN 2'),
    (1000099, 'TUTTLE'),
    (1000100, 'TUTTLE-GIACOBINI-KRESAK'),
    (1000101, 'VAISALA 1'),
    (1000102, 'VAN BIESBROECK'),
    (1000103, 'VAN HOUTEN'),
    (1000104, 'WEST-KOHOUTEK-IKEMURA'),
    (1000105, 'WHIPPLE'),
    (1000106, 'WILD 1'),
    (1000107, 'WILD 2'),
    (1000108, 'WILD 3'),
    (1000109, 'WIRTANEN'),
    (1000110, 'WOLF'),
    (1000111, 'WOLF-HARRINGTON'),
    (1000112, 'LOVAS 2'),
    (1000113, 'URATA-NIIJIMA'),
    (1000114, 'WISEMAN-SKIFF'),
    (1000115, 'HELIN'),
    (1000116, 'MUELLER'),
    (1000117, 'SHOEMAKER-HOLT 1'),
    (1000118, 'HELIN-ROMAN-CROCKETT'),
    (1000119, 'HARTLEY 3'),
    (1000120, 'PARKER-HARTLEY'),
    (1000121, 'HELIN-ROMAN-ALU 1'),
    (1000122, 'WILD 4'),
    (1000123, 'MUELLER 2'),
    (1000124, 'MUELLER 3'),
    (1000125, 'SHOEMAKER-LEVY 1'),
    (1000126, 'SHOEMAKER-LEVY 2'),
    (1000127, 'HOLT-OLMSTEAD'),
    (1000128, 'METCALF-BREWINGTON'),
    (1000129, 'LEVY'),
    (1000130, 'SHOEMAKER-LEVY 9'),
    (1000131, 'HYAKUTAKE'),
    (1000132, 'HALE-BOPP'),
    (1003228, 'C/2013 A1'),
    (1003228, 'SIDING SPRING'),
    (9511010, 'GASPRA'),
    (2431010, 'IDA'),
    (2431011, 'DACTYL'),
    (2000001, 'CERES'),
    (2000002, 'PALLAS'),
    (2000004, 'VESTA'),
    (2000021, 'LUTETIA'),
    (2000216, 'KLEOPATRA'),
    (2000433, 'EROS'),
    (2000511, 'DAVIDA'),
    (2000253, 'MATHILDE'),
    (2002867, 'STEINS'),
    (2009969, '1992KD'),
    (2009969, 'BRAILLE'),
    (2004015, 'WILSON-HARRINGTON'),
    (2004179, 'TOUTATIS'),
    (2025143, 'ITOKAWA'),
    (398989, 'NOTO'),
    (398990, 'NEW NORCIA'),
    (399001, 'GOLDSTONE'),
    (399002, 'CANBERRA'),
    (399003, 'MADRID'),
    (399004, 'USUDA'),
    (399005, 'DSS-05'),
    (399005, 'PARKES'),
    (399012, 'DSS-12'),
    (399013, 'DSS-13'),
    (399014, 'DSS-14'),
    (399015, 'DSS-15'),
    (399016, 'DSS-16'),
    (399017, 'DSS-17'),
    (399023, 'DSS-23'),
    (399024, 'DSS-24'),
    (399025, 'DSS-25'),
    (399026, 'DSS-26'),
    (399027, 'DSS-27'),
    (399028, 'DSS-28'),
    (399033, 'DSS-33'),
    (399034, 'DSS-34'),
    (399042, 'DSS-42'),
    (399043, 'DSS-43'),
    (399045, 'DSS-45'),
    (399046, 'DSS-46'),
    (399049, 'DSS-49'),
    (399053, 'DSS-53'),
    (399054, 'DSS-54'),
    (399055, 'DSS-55'),
    (399061, 'DSS-61'),
    (399063, 'DSS-63'),
    (399064, 'DSS-64'),
    (399065, 'DSS-65'),
    (399066, 'DSS-66'),

    # ftp://ssd.jpl.nasa.gov/pub/eph/planets/bsp/README.txt
    (1000000000, 'TDB'),
    (1000000001, 'TT'),
    ]

target_names = dict(target_name_pairs)
